Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.4.1 generated on May 30 2006
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kodo.jdbc.sql
Class OracleSavepointManager

    java.lang.Object
      |
      +--kodo.jdbc.runtime.AbstractJDBCSavepointManager
            |
            +--kodo.jdbc.sql.OracleSavepointManager

All Implemented Interfaces:
  Configurable, SavepointManager

public class OracleSavepointManager
extends AbstractJDBCSavepointManager

`SavepointManager` implementation that uses Oracle specific calls and savepoint implementation to store state. This plugin has the side effect of triggering a flush on the `KodoPersistenceManager`.

Savepoint names must begin with a letter.

Note that this plugin requires Oracle driver version 9.2 or higher.

Since:
  3.4

Inner classes inherited from class kodo.jdbc.runtime.AbstractJDBCSavepointManager
`AbstractJDBCSavepointManager.ConnectionSavepoint`

Fields inherited from class kodo.jdbc.runtime.AbstractJDBCSavepointManager
`restoreValues`

Constructor Summary
`OracleSavepointManager()`

Method Summary
`protected void` | `rollbackDataStore(AbstractJDBCSavepointManager.ConnectionSavepoint savepoint)` Rollback the datastore savepoint.
`protected void` | `setDataStore(AbstractJDBCSavepointManager.ConnectionSavepoint savepoint)` Set the datastore savepoint.

Methods inherited from class kodo.jdbc.runtime.AbstractJDBCSavepointManager
`endConfiguration, getRestoreValues, newSavepoint, setConfiguration, setRestoreValues, startConfiguration, supportsIncrementalFlush`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OracleSavepointManager

    public OracleSavepointManager()

Method Detail

### rollbackDataStore

    protected void rollbackDataStore(AbstractJDBCSavepointManager.ConnectionSavepoint savepoint)

  Description copied from class: `AbstractJDBCSavepointManager`
  Rollback the datastore savepoint.
  Overrides:
    `rollbackDataStore` in class `AbstractJDBCSavepointManager`

### setDataStore

    protected void setDataStore(AbstractJDBCSavepointManager.ConnectionSavepoint savepoint)

  Description copied from class: `AbstractJDBCSavepointManager`
  Set the datastore savepoint.
  Overrides:
    `setDataStore` in class `AbstractJDBCSavepointManager`

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.4.1 generated on May 30 2006
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002 SolarMetric, Inc. All Rights Reserved.